# Email Objects

| [EmailAddress](#emailaddress)                   | An Email address for validation.                                  |
| ----------------------------------------------- | ----------------------------------------------------------------- |
| [EmailList](#emaillist)                         | Container for Email addresses.                                    |
| [EmailRestRequest](#emailrestrequest)           | Request wrapper for email REST methods.                           |
| [EmailRestResponse](#emailrestresponse)         | Response wrapper for email REST methods.                          |
| [ValidatedEmailAddress](#validatedemailaddress) | An Email address object containing the results of the validation. |

### EmailAddress <a href="#emailaddress" id="emailaddress"></a>

The EmailAddress is used to supply email addresses for validation.

#### address

Type: StringThe email address (e.g. '<bob@example.org>').

#### JSON Representation

```json
{
    "address": "bob@example.org"
}
```

### EmailList <a href="#emaillist" id="emaillist"></a>

An array or list of EmailAddress structures.

#### JSON Representation

```json
[ 
    { 
        address: "bob@example.org" 
    },
    {
        address: "sarah@example.org"
    },
    ... 
]
```

### EmailRestRequest <a href="#emailrestrequest" id="emailrestrequest"></a>

An EmailRestRequest object is used when invoking the Harmony RightAddress email validation REST service methods.

#### payload

Type: [EmailList](#emaillist)&#x20;

The list of EmailAddress structures being passed to the REST service method.

**sourceOfTruth**

Type: String

The Source of Truth to use for the validation.

**featureOptions**

Type: [FeatureOption](#featureoption)

An Object containing the values for the feature options available for the validation.

#### JSON Representation

```json
{
    "payload": [ { "address": "bob@example.org" } ],
    "sourceOfTruth": "VE_ALL",
    "featureOptions: { "timeout": "1500" }
}
```

### EmailRestResponse <a href="#emailrestresponse" id="emailrestresponse"></a>

An EmailRestResponse object is returned from the Harmony RightAddress email validation REST service methods.

#### payload

Type: [EmailList](#emaillist)&#x20;

The list of EmailAddress structures being returned from the REST service method.

#### status

Type: String

The status of the request (i.e. 'SUCCESS' or 'ERROR').

#### messages

Type: String\[]

Any error messages generated during the REST service method invocation (e.g. '\[ "Access is denied" ]')

#### JSON Representation

```json
{
    "status": "SUCCESS",
    "messages": [],
    "payload": [ 
        {
            "address": "bob@example.org"
        }
    ]
}
```

### ValidatedEmailAddress <\<extends>> [EmailAddress](#emailaddress) <a href="#validatedemailaddress" id="validatedemailaddress"></a>

A ValidatedEmailAddress object extends a standard EmailAddress object and is returned in the validate method response.

See [EmailAddress ](#emailaddress)for inherited attributes.

#### formatValidated

Type: Boolean

`email_valid`: true if the email address syntax conforms to RFC 2822 standard, false otherwise.

#### blackListValidated

Type: Boolean

True if the email address does not appear in the internal email block list, false otherwise.

#### domainValidated

Type: Boolean

`domain_exists`: true if the domain of the email address exists and has proper Domain Name Server (DNS) records, false otherwise.

#### mailServerValidated

Type: Boolean

`mailserver_exists`: True if there is a mail server for that domain, false otherwise.

#### mailboxValidated

Type: Boolean

`email_exists`: true if the mailbox for the email address has been found to exist without sending an email, false otherwise.

#### JSON Representation

```json
{
    "address": "bob@example.org",
    "mailBoxValidated": false,
    "mailServerValidated": false,
    "domainValidated": false,
    "blackListValidated": true,
    "formatValidated": true
}
```

### FeatureOption <a href="#featureoption" id="featureoption"></a>

A FeatureOption object is used to supply option values when invoking the email validation REST service methods.

#### timeout

Type: String

Value of the timeout in milliseconds, if the validation process takes longer than the time specified, timeout error message will be given. Default value is 10000ms (10 seconds).

#### JSON Representation

```json
{
    "timeout": "1500"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mastersoftgroup.com/loqate-harmony-api/api-specification/objects/email-objects.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
